unit CreateGraphics;

interface
uses Graphics, RVFuncs;

  function GetGraphicCopy(gr: TGraphic): TGraphic;

  function GetGraphicExtension(gr: TGraphic): String;

implementation

function GetGraphicCopy(gr: TGraphic): TGraphic;
begin
  Result := RV_CreateGraphics(TGraphicClass(gr.ClassType));
end;

function GetGraphicExtension(gr: TGraphic): String;
begin
  Result := GraphicExtension(TGraphicClass(gr.ClassType));
end;


end.
